<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html
  xmlns="http://www.w3.org/1999/xhtml"
  xmlns:xi="http://www.w3.org/2001/XInclude"
  xmlns:xc="urn:xhtml-compiler"
  xc:news="yes"
  xml:lang="en">
<head>
  <title>HTML Purifier 3.2.0 released - News - HTML Purifier</title>
  <xi:include href="common-meta.xml" xpointer="xpointer(/*/node())" />
</head>
<body>

<xi:include href="common-header.xml" xpointer="xpointer(/*/node())" />

<div id="main">
<h1 id="title">HTML Purifier 3.2.0 released</h1>

<div id="content">
  <p>
    HTML Purifier 3.2.0 is an amalgamation of new features and fixes that
    have accumulated over a four month period.  Some notable features
    include optional removal of empty elements, column tracking for tokens, 
    proper support for the name attribute and overridable behavior for alt
    text.  There were also
    major improvements to the test suite interface, error collection output
    and the auto-formatter framework.
  </p>
  <p>
    The new configuration directives in this release are:
  </p>
  <ul>
    <li><a xc:configdoc="Attr.DefaultImageAlt" /></li>
    <li><a xc:configdoc="AutoFormat.RemoveEmpty" /></li>
    <li><a xc:configdoc="AutoFormat.DisplayLinkURI" /></li>
    <li><a xc:configdoc="Output.SortAttr" /></li>
  </ul>
  <p>
    See <a href="http://repo.or.cz/w/htmlpurifier.git?a=blob;f=NEWS;h=3c8ec4fa8c0dfed2a72f604d1b7e3e595c7f1b36;hb=280211f70b34543c5bb0eff78e2ff2c9b778887a">NEWS</a>
    for a complete changelog. There are numerous new features <em>not
    mentioned here</em>.
  </p>
  <p>
    Along with this release, we would like to announce full disclosure on
    the two security vulnerabilities patched in 3.1.1. Please see the
    <a href="security/2008/css-backslash.html" xc:absolute="href">CSS Backslash</a> and <a href="security/2008/shift-jis.html" xc:absolute="href">Shift_JIS</a>
    full disclosure pages.
  </p>
</div>
</div>
</body>
</html>